## Table of Contents

  - [Description](#Description)
  - [Caution](#Caution)
  - [Installation](#Installation)
  - [CodeGuide](#CodeGuideLines)
  - [Launch](#Launch)
  - [Resources](#Resources)
   
# Description
Small package for raiding discord servers. Uses Axios. Check Examples directory on git repository!
## Caution
Automating normal user accounts (generally called "self-bots") outside of the OAuth2/bot API is forbidden, and can result in an account termination if found. [DiscordSupport](https://support.discord.com/hc/en-us/articles/115002192352-Automated-user-accounts-self-bots-)
## Installation
```bash 
npm install discord-selfbot-utils
```
## CodeGuideLines
* To initialize an instance of the class, you need to pass an array of tokens and an object with the ID of channel, which is the target of the main attack. Example:
```
const discord_selfbot_utils = require("...");
let DsuInstance = new discord_selfbot_utils(
[
  "token1"
  "token2" // and even more tokens
], 
{
  channelId: "869987984026533949" // channelId can't be named otherwise!
})
```
* If `instanceOfClass.botSpace` is set as `"Bot "`, code will launch as bot only. Example: `instanceOfClass.botSpace = "Bot "` either `instanceOfClass.botSpace = ""` (P.S idk if the second method works, i can't check it. So write me in discord)
* `instanceOfClass.verifyMessage` is a message, that will be sent in a channel that is waiting for a confirmation message: `instanceOfClass.verifyMessage = "!verify"`. In order to send a message, you need to call `instanceOfClass.verifyByMessage(channelId)`
* `instanceOfClass.verifyByReaction(channelId, messageId, emoteId)` puts reaction to a message. Third argument must be look like **"emoteName:idOfEmote"**. All arguments must be **string** type!
* Do not forget about `instanceOfClass.consoleClearing()`
* You can change current discord API version by changing the `instanceOfClass.apiURIVariable`. So current is `"https://discordapp.com/api/v8/"`, but newer one may not work properly because of other mounts!
## Launch
 ```bash
node . # either file nor .
```
## Recourses
#### Ruby version of Javascript D-S-U; Origin made by my friend
[Ruby](https://github.com/hackers-pr/ruby-selfbot-utils)
#### NPM page for this package;
[NPM](https://www.npmjs.com/package/discord-selfbot-utils)